Create an office
curl --request POST \
--url https://api-{region}.sesametime.com/core/v3/offices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"description": "<string>",
"radio": 123,
"defaultEmployeesDateTimeZone": "Europe/Madrid"
}
'import requests
url = "https://api-{region}.sesametime.com/core/v3/offices"
payload = {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"description": "<string>",
"radio": 123,
"defaultEmployeesDateTimeZone": "Europe/Madrid"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
address: '<string>',
coordinates: {latitude: 123, longitude: 123},
description: '<string>',
radio: 123,
defaultEmployeesDateTimeZone: 'Europe/Madrid'
})
};
fetch('https://api-{region}.sesametime.com/core/v3/offices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"description": "<string>",
"radio": 123,
"defaultEmployeesDateTimeZone": "Europe/Madrid",
"isDeleted": true
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Offices
Create an office
POST
/
core
/
v3
/
offices
Create an office
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Office object that needs to be created.
Important note: For the defaultEmployeesDateTimeZone field, use one of the valid timezone values listed in PHP's official documentation (e.g., 'Europe/Madrid', 'America/New_York').
The ID of the company
The name of the office
The address of the office
The coordinates of the office
Show child attributes
Show child attributes
The description of the office
The radio of the office
The default employees date time zone of the office
Example:
"Europe/Madrid"
Was this page helpful?
⌘I